require "rails_helper"

RSpec.describe Settings::OrderQueueStationsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/order_queue_stations").to route_to("settings/order_queue_stations#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/order_queue_stations/new").to route_to("settings/order_queue_stations#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/order_queue_stations/1").to route_to("settings/order_queue_stations#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/order_queue_stations/1/edit").to route_to("settings/order_queue_stations#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/order_queue_stations").to route_to("settings/order_queue_stations#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/order_queue_stations/1").to route_to("settings/order_queue_stations#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/order_queue_stations/1").to route_to("settings/order_queue_stations#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/order_queue_stations/1").to route_to("settings/order_queue_stations#destroy", :id => "1")
    end

  end
end
